package com.zg.project.Inventory.Visualization.service.impl;

import java.util.List;

import com.zg.project.Inventory.Visualization.domain.vo.OdtlVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zg.project.Inventory.Visualization.mapper.OdtlMapper;
import com.zg.project.Inventory.Visualization.domain.Odtl;
import com.zg.project.Inventory.Visualization.service.IOdtlService;

/**
 * 借料出库 明细Service业务层处理
 * 
 * @author zg
 * @date 2025-05-09
 */
@Service
public class OdtlServiceImpl implements IOdtlService 
{
    @Autowired
    private OdtlMapper odtlMapper;

    /**
     * 查询借料出库 明细
     * 
     * @param Id 借料出库 明细主键
     * @return 借料出库 明细
     */
    @Override
    public Odtl selectOdtlById(Long Id)
    {
        return odtlMapper.selectOdtlById(Id);
    }

    /**
     * 查询借料出库 明细列表
     * 
     * @param odtl 借料出库 明细
     * @return 借料出库 明细
     */
    @Override
    public List<Odtl> selectOdtlList(Odtl odtl)
    {
        return odtlMapper.selectOdtlList(odtl);
    }

    /**
     * 新增借料出库 明细
     * 
     * @param odtl 借料出库 明细
     * @return 结果
     */
    @Override
    public int insertOdtl(Odtl odtl)
    {
        return odtlMapper.insertOdtl(odtl);
    }

    /**
     * 修改借料出库 明细
     * 
     * @param odtl 借料出库 明细
     * @return 结果
     */
    @Override
    public int updateOdtl(Odtl odtl)
    {
        return odtlMapper.updateOdtl(odtl);
    }

    /**
     * 批量删除借料出库 明细
     * 
     * @param Ids 需要删除的借料出库 明细主键
     * @return 结果
     */
    @Override
    public int deleteOdtlByIds(Long[] Ids)
    {
        return odtlMapper.deleteOdtlByIds(Ids);
    }

    /**
     * 删除借料出库 明细信息
     * 
     * @param Id 借料出库 明细主键
     * @return 结果
     */
    @Override
    public int deleteOdtlById(Long Id)
    {
        return odtlMapper.deleteOdtlById(Id);
    }

    @Override
    public List<OdtlVO> queryAll() {
        return odtlMapper.queryAll();
    }
}
